Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbContent

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<Content>
          org.jbpm.services.task.impl.model.xml.JaxbContent

All Implemented Interfaces:
  Externalizable, Serializable, Content

    public class JaxbContent

extends AbstractJaxbTaskObject<Content>
implements Content

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`realClass`

Constructor Summary
`JaxbContent()`
`JaxbContent(Content content)`

Method Summary
`byte[]` | `getContent()`
`Map<String,Object>` | `getContentMap()`
`long` | `getId()`
`byte[]` | `getSerializedContent()`

Methods inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject
`readExternal, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Constructor Detail

### JaxbContent

    public JaxbContent()

### JaxbContent

    public JaxbContent(Content content)

Method Detail

### getContent

    public byte[] getContent()

  Specified by:
    `getContent` in interface `Content`

### getSerializedContent

    public byte[] getSerializedContent()

### getContentMap

    public Map<String,Object> getContentMap()

### getId

    public long getId()

  Specified by:
    `getId` in interface `Content`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.